////////////////////////////////////////////////////////////////////////////////
// Ace Lander Project
// Jace Miller
// timer.h
////////////////////////////////////////////////////////////////////////////////

#ifndef TIMER_H
#define TIMER_H

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

////////////////////////////////////////////////////////////////////////////////
// Timer provides the ability to get elapsed time between frames.
////////////////////////////////////////////////////////////////////////////////
class Timer
{
public:
	Timer();
	void Update();
	double GetDelta() const;
private:
	LARGE_INTEGER	mFrequency;
	LARGE_INTEGER	mLastQuery;
	LARGE_INTEGER	mDelta;
};

////////////////////////////////////////////////////////////////////////////////
// Events make setting time delays and checking when they have expired easier.
////////////////////////////////////////////////////////////////////////////////
class Event
{
public:
	Event();
	void SetDelay(double seconds);
	void Update(double timeDelta);
	bool HasSignaled() const;
private:
	double mTimeToDelay;
	double mTimeElapsed;
};

#endif
