////////////////////////////////////////////////////////////////////////////////
// Ace Lander Project
// Jace Miller
// gsStart.cpp
////////////////////////////////////////////////////////////////////////////////

#include "gameStates.h"
#include "time.h"

////////////////////////////////////////////////////////////////////////////////
// StartState ensures the correct fullscreen state is achieved.
////////////////////////////////////////////////////////////////////////////////

// Declare the single instance.
StartState *StartState::mInstance = 0;

void StartState::Initialize()
{
	// seed random number generator
	srand(time(0));

	// show no cusor, clear background to black
	glutSetCursor(GLUT_CURSOR_NONE);
	glClearColor(0.0, 0.0, 0.0, 1.0);

	// initialize ship and level
	Ship::Instance()->Initialize();
}

void StartState::HandleInput(unsigned char key)
{
}

void StartState::Render()
{
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
}

void StartState::Update(double timeDelta, unsigned char *keyBuffer)
{
	GameFramework::Instance()->UpdateFullscreenStatus();
	GameFramework::Instance()->SetState(TitleState::Instance());
}

void StartState::CleanUp()
{
}
